package edimanager.entity;

import java.io.Serializable;
import java.util.Date;

import org.seasar.teeda.extension.annotation.scope.RedirectScope;
import org.seasar.teeda.extension.annotation.validator.Required;

public class EdiMailSetting implements Serializable
{
	
	private static final long serialVersionUID = 8178135320729905779L;

	public static final String TABLE = "EDIMAILSETTING";

	
	//ԓ
	public static final String RESUBJECT_YES = "1";
	public static final String RESUBJECT_NO = "0";
	
	//\
	public static final String ORDERAMOUNT_YES = "1";
	public static final String ORDERAMOUNT_NO = "0";
	
	//wb_[sL
	public static final String FILEHEADER_YES = "1";
	public static final String FILEHEADER_NO = "0";
	
	//MԐM
	public static final String RETURNTOSENDER_YES = "1";
	public static final String RETURNTOSENDER_NO = "0";
	
	//YttM
	public static final String TEMPADD_YES = "1";
	public static final String TEMPADD_NO = "0";
	
	//{tM
	public static final String RETURNBODY_YES = "1";
	public static final String RETURNBODY_NO = "0";
	
	//YtԐM
	public static final String NOFILEMAIL_YES = "1";
	public static final String NOFILEMAIL_NO = "0";
	
	//I[_[0ԐM
	public static final String ORDERZEROMAIL_YES = "1";
	public static final String ORDERZEROMAIL_NO = "0";
	
	//EDI敪
	public static final String EDIKUBUN_INDIVIDUAL = "1";
	public static final String EDIKUBUN_MINI = "2";
	public static final String EDIKUBUN_FFL = "3";
	
	//tO
	public static final String SIGNATUREFLG_YES = "1";
	public static final String SIGNATUREFLG_NO = "0";
	
	//ꎞftO
	public static final String TEMPORARYNOTICEFLG_YES = "1";
	public static final String TEMPORARYNOTICEFLG_NO = "0";
	
	//󒍉񓚃[vۃtO
	public static final String SDORDERFLG_YES = "1";
	public static final String SDORDERFLG_NO = "0";
	
	//[񓚃[vۃtO
	public static final String SDDELIVFLG_YES = "1";
	public static final String SDDELIVFLG_NO = "0";
	
	@RedirectScope
	private String settingNumber;
	
	@Required
	@RedirectScope
	private String mailAddress;
	
	@RedirectScope
	private String customerCode;
	
	@RedirectScope
	private String customerName;
	
	@RedirectScope
	private String settingName;
	
	@RedirectScope
	private Integer orgArea;
	
	@RedirectScope
	private String lincsCompanyCode;
	
	@RedirectScope
	private String lincsJigyoshoCode;
	
	@RedirectScope
	private String lincsSukkaCode;
	
	@RedirectScope
	private String forwardAddress;
	
	@RedirectScope
	private String orderReplyTanto;
	
	@RedirectScope
	private String tantoAddress;
	
	@RedirectScope
	private String saveFolder;
	
	@RedirectScope
	private String subject;
	
	@RedirectScope
	private String sendTo;
	
	@RedirectScope
	private String cc;
	
	@RedirectScope
	private String bcc;
	
	@RedirectScope
	private String dept;
	
	@RedirectScope
	private String tel;
	
	@RedirectScope
	private String fax;
	
	@RedirectScope
	private String orderAddress;
	
	@RedirectScope
	private String privacyPolicyUrl;
	
	@RedirectScope
	private String reSubject;
	
	@RedirectScope
	private String orderAmount;
	
	@RedirectScope
	private String fileHeader;
	
	@RedirectScope
	private String returnToSender;
	
	@RedirectScope
	private String tempAdd;
	
	@RedirectScope
	private String returnBody;
	
	@RedirectScope
	private String noFileMail;
	
	@RedirectScope
	private String orderZeroMail;
	
	@RedirectScope	
	private String ediKubun;
	
	@RedirectScope
	private String signatureFlg;
	
	@RedirectScope
	private String temporaryNoticeFlg;
	
	@RedirectScope
	private String rcOrderFlg;
	
	@RedirectScope
	private String sdDelivFlg;
	
	@RedirectScope
	private Date createDate;
	
	@RedirectScope
	private Date updateDate;
	
	@RedirectScope
	private Integer updateCount;
	
	@RedirectScope
	private String archivePass;
	
	@RedirectScope
	private String fflTantoCd;

	public String getSettingNumber() { return settingNumber; }
	public void setSettingNumber(String settingNumber) { this.settingNumber = settingNumber; }
	
	public String getMailAddress() { return mailAddress; }
	public void setMailAddress(String mailAddress) { this.mailAddress = mailAddress; }
	
	public String getCustomerCode() { return customerCode; }
	public void setCustomerCode(String customerCode) { this.customerCode = customerCode; }
	
	public String getCustomerName() { return customerName; }
	public void setCustomerName(String customerName) { this.customerName = customerName; }
	
	public String getSettingName() { return settingName; }
	public void setSettingName(String settingName) { this.settingName = settingName; }
	
	public Integer getOrgArea() { return orgArea; }
	public void setOrgArea(Integer orgArea) { this.orgArea = orgArea; }
	
	public String getLincsCompanyCode() { return lincsCompanyCode; }
	public void setLincsCompanyCode(String lincsCompanyCode) { this.lincsCompanyCode = lincsCompanyCode; }
	
	public String getLincsJigyoshoCode() { return lincsJigyoshoCode; }
	public void setLincsJigyoshoCode(String lincsJigyoshoCode) { this.lincsJigyoshoCode = lincsJigyoshoCode; }
	
	public String getLincsSukkaCode() { return lincsSukkaCode; }
	public void setLincsSukkaCode(String lincsSukkaCode) { this.lincsSukkaCode = lincsSukkaCode; }
	
	public String getForwardAddress() { return forwardAddress; }
	public void setForwardAddress(String forwardAddress) { this.forwardAddress = forwardAddress; }
	
	public String getOrderReplyTanto() { return orderReplyTanto; }
	public void setOrderReplyTanto(String orderReplyTanto) { this.orderReplyTanto = orderReplyTanto; }
	
	public String getTantoAddress() { return tantoAddress; }
	public void setTantoAddress(String tantoAddress) { this.tantoAddress = tantoAddress; }
	
	public String getSaveFolder() { return saveFolder; }
	public void setSaveFolder(String saveFolder) { this.saveFolder = saveFolder; }
	
	public String getSubject() { return subject; }
	public void setSubject(String subject) { this.subject = subject; }
	
	public String getSendTo() { return sendTo; }
	public void setSendTo(String sendTo) { this.sendTo = sendTo; }
	
	public String getCc() { return cc; }
	public void setCc(String cc) { this.cc = cc; }
	
	public String getBcc() { return bcc; }
	public void setBcc(String bcc) { this.bcc = bcc;}
	
	public String getDept() { return dept; }
	public void setDept(String dept) { this.dept = dept; }
	
	public String getTel() { return tel; }
	public void setTel(String tel) { this.tel = tel; }
	
	public String getFax() { return fax; }
	public void setFax(String fax) { this.fax = fax; }
	
	public String getOrderAddress() { return orderAddress; }
	public void setOrderAddress(String orderAddress) { this.orderAddress = orderAddress; }
	
	public String getPrivacyPolicyUrl() { return privacyPolicyUrl; }
	public void setPrivacyPolicyUrl(String privacyPolicyUrl) { this.privacyPolicyUrl = privacyPolicyUrl; }
	
	public String getReSubject() { return reSubject; }
	public void setReSubject(String reSubject) { this.reSubject = reSubject; }
	
	public String getOrderAmount() { return orderAmount; }	
	public void setOrderAmount(String orderAmount) { this.orderAmount = orderAmount; }

	public String getFileHeader() { return fileHeader; }
	public void setFileHeader(String fileHeader) { this.fileHeader = fileHeader; }
	
	public String getReturnToSender() { return returnToSender; }
	public void setReturnToSender(String returnToSender) { this.returnToSender = returnToSender;}

	public String getTempAdd() { return tempAdd;}
	public void setTempAdd(String tempAdd) { this.tempAdd = tempAdd;}

	public String getReturnBody() { return returnBody; }
	public void setReturnBody(String returnBody) { this.returnBody = returnBody; }

	public String getNoFileMail() { return noFileMail; }
	public void setNoFileMail(String noFileMail) { this.noFileMail = noFileMail; }

	public String getOrderZeroMail() { return orderZeroMail; }
	public void setOrderZeroMail(String orderZeroMail) { this.orderZeroMail = orderZeroMail; }

	public String getEdiKubun() { return ediKubun; }
	public void setEdiKubun(String ediKubun) { this.ediKubun = ediKubun; }
	
	public String getSignatureFlg() { return signatureFlg; }
	public void setSignatureFlg(String signatureFlg) { this.signatureFlg = signatureFlg; }

	public String getTemporaryNoticeFlg() { return temporaryNoticeFlg; }
	public void setTemporaryNoticeFlg(String temporaryNoticeFlg) { this.temporaryNoticeFlg = temporaryNoticeFlg; }

	public String getRcOrderFlg() { return rcOrderFlg; }
	public void setRcOrderFlg(String rcOrderFlg) { this.rcOrderFlg = rcOrderFlg; }

	public String getSdDelivFlg() { return sdDelivFlg; }
	public void setSdDelivFlg(String sdDelivFlg) { this.sdDelivFlg = sdDelivFlg; }

	public Date getCreateDate() { return createDate; }
	public void setCreateDate(Date createDate) { this.createDate = createDate; }

	public Date getUpdateDate() { return updateDate; }
	public void setUpdateDate(Date updateDate) { this.updateDate = updateDate;}

	public Integer getUpdateCount() { return updateCount; }
	public void setUpdateCount(Integer updateCount) { this.updateCount = updateCount; }

	public String getArchivePass() { return archivePass; }
	public void setArchivePass(String archivePass) { this.archivePass = archivePass; }

	public String getFflTantoCd() { return fflTantoCd; }
	public void setFflTantoCd(String fflTantoCd) { this.fflTantoCd = fflTantoCd; }

	/**
	 * DB擾f[^AJava Bean֊i[
	 * 
	 * @param from DB擾f[^
	 * @param to	i[JavaBean
	 */
	public void setData(EdiMailSetting from, EdiMailSetting to)
	{
		to.setSettingNumber(from.getSettingNumber());
		to.setMailAddress(from.getMailAddress());
		to.setCustomerCode(from.getCustomerCode());
		to.setCustomerName(from.getCustomerName());
		to.setSettingName(from.getSettingName());
		
		to.setOrgArea(from.getOrgArea());
		to.setLincsCompanyCode(from.getLincsCompanyCode());
		to.setLincsJigyoshoCode(from.getLincsJigyoshoCode());
		to.setLincsSukkaCode(from.getLincsSukkaCode());
		to.setForwardAddress(from.getForwardAddress());
		
		to.setOrderReplyTanto(from.getOrderReplyTanto());
		to.setTantoAddress(from.getTantoAddress());
		to.setSaveFolder(from.getSaveFolder());
		to.setSubject(from.getSubject());
		to.setSendTo(from.getSendTo());
		
		to.setCc(from.getCc());
		to.setBcc(from.getBcc());
		to.setDept(from.getDept());
		to.setTel(from.getTel());
		to.setFax(from.getFax());
		
		to.setOrderAddress(from.getOrderAddress());
		to.setPrivacyPolicyUrl(from.getPrivacyPolicyUrl());
		to.setReSubject(from.getReSubject());
		to.setOrderAmount(from.getOrderAmount());
		to.setFileHeader(from.getFileHeader());
		
		to.setReturnToSender(from.getReturnToSender());
		to.setTempAdd(from.getTempAdd());
		to.setReturnBody(from.getReturnBody());
		to.setNoFileMail(from.getNoFileMail());
		to.setOrderZeroMail(from.getOrderZeroMail());
		
		to.setEdiKubun(from.getEdiKubun());
		to.setSignatureFlg(from.getSignatureFlg());
		to.setTemporaryNoticeFlg(from.getTemporaryNoticeFlg());
		to.setRcOrderFlg(from.getRcOrderFlg());
		to.setSdDelivFlg(from.getSdDelivFlg());
		
		to.setCreateDate(from.getCreateDate());
		to.setUpdateDate(from.getUpdateDate());
		to.setUpdateCount(from.getUpdateCount());
		to.setArchivePass(from.getArchivePass());
		to.setFflTantoCd(from.getFflTantoCd());
		
	}
}